# Class Rejection

- Defined in router/transition/reject-factory.js:56

#####
Index

### Constructors

constructor

### Properties

$id
detail
message
redirected
type

### Methods

toPromise
toString
aborted
errored
ignored
invalid
normalize
redirected
superseded

##
Constructors

### constructor

- new Rejection(type, message, detail): Rejection

- #### Parameters

  - type: any
  - message: any
  - detail: any

  #### Returns Rejection

  - Defined in router/transition/reject-factory.js:103

##
Properties

### $id

$id: number

- Defined in router/transition/reject-factory.js:104

### detail

detail: any

- Defined in router/transition/reject-factory.js:107

### message

message: any

- Defined in router/transition/reject-factory.js:106

### redirected

redirected: boolean

- Defined in router/transition/reject-factory.js:108

### type

type: any

- Defined in router/transition/reject-factory.js:105

##
Methods

### toPromise

- toPromise(): any

- #### Returns any

  - Defined in router/transition/reject-factory.js:119

### toString

- toString(): string

- #### Returns string

  - Defined in router/transition/reject-factory.js:110

### `Static` aborted

- aborted(detail): Rejection

- Returns a Rejection due to aborted transition

  #### Parameters

  - detail: any

  #### Returns Rejection

  - Defined in router/transition/reject-factory.js:82

### `Static` errored

- errored(detail): Rejection

- Returns a Rejection due to aborted transition

  #### Parameters

  - detail: any

  #### Returns Rejection

  - Defined in router/transition/reject-factory.js:87

### `Static` ignored

- ignored(detail): Rejection

- Returns a Rejection due to ignored transition

  #### Parameters

  - detail: any

  #### Returns Rejection

  - Defined in router/transition/reject-factory.js:77

### `Static` invalid

- invalid(detail): Rejection

- Returns a Rejection due to invalid transition

  #### Parameters

  - detail: any

  #### Returns Rejection

  - Defined in router/transition/reject-factory.js:72

### `Static` normalize

- normalize(detail): any

- Returns a Rejection

  Normalizes a value as a Rejection. If the value is already a Rejection, returns it. Otherwise, wraps and returns the value as a Rejection (Rejection type: ERROR).

  #### Parameters

  - detail: any

  #### Returns any

  `detail` if it is already a `Rejection`, else returns an ERROR Rejection.

  - Defined in router/transition/reject-factory.js:100

### `Static` redirected

- redirected(detail): Rejection

- Returns a Rejection due to redirected transition

  #### Parameters

  - detail: any

  #### Returns Rejection

  - Defined in router/transition/reject-factory.js:68

### `Static` superseded

- superseded(detail, options): Rejection

- Returns a Rejection due to transition superseded

  #### Parameters

  - detail: any
  - options: any

  #### Returns Rejection

  - Defined in router/transition/reject-factory.js:58